#ifndef TIME_H
#define TIME_H

static unsigned int seed = 0x12345678;

static int SysCallCode[] = {0xD201422B,0x60F20000,0x80010070};
static int (*SysCall)( int R4, int R5, int R6, int R7, int FNo ) = (void*)&SysCallCode;
	
int time()
{
	return (*SysCall)(0, 0, 0, 0, 0x3B);
}

int randBtw(int a, int b)
{
	static char i = 0;
	if(i == 0)
	{
		seed = time();
		i++;		
	}
	seed = (0x41C64E6D * seed) + 0x3039;
	return a + ((seed >> 16) % (b-a));
}

void setFps(int fpsWish)
{
	static unsigned int fps = 0, fps_count = 0;

	do
	{
		fps = time();
		Sleep(3);
	}
	while(fps < fps_count + fpsWish);

	fps_count = time();
}

#endif