#include "game.h"
#include "levels/level.h"
#include "../figures/bro.h"
#include "../figures/enemy.h"
#include "../figures/bullet.h"
#include "../figures/hud.h"
#include "../lib/MonochromeLib.h"

#include "../lib/ECode.h"

void game_render(void) {
	int x = 0, y = 0;

	if(KeyDown(K_EXIT))
		level_reset();

	level_render();

	if(KeyDown(K_RIGHT))
		x = 2;
	if(KeyDown(K_LEFT))
		x = -2;

	if(KeyDown(K_UP))
		y = -2;
	if(KeyDown(K_DOWN))
		y = 2;

	if(KeyDown(K_SHIFT) || KeyDown(K_EXE))
		bro_fire();

	bro_move(x, y);

	enemy_render();
	bro_render();
	bullet_render();
	hud_render();
}
